Bug 1468248 - [RFE] add task start time to "latest warning/error task" dashboard widget
Summary: [RFE] add task start time to "latest warning/error task" dashboard widget
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Dashboard
Version: 6.2.10
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Unspecified
Assignee: Marek Hulan
QA Contact: Peter Ondrejka
URL:
Whiteboard:
: 1455021 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-06 12:59 UTC by Chris Duryee
Modified: 2020-12-14 09:02 UTC (History)
10 users (show)

Fixed In Version: foreman-tasks-0.10.5, rubygem-foreman-tasks-0.9.6.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 12:39:59 UTC
Target Upstream Version:


Attachments (Terms of Use)
task widget screenshot (21.75 KB, image/png)
2017-11-27 14:19 UTC, Peter Ondrejka
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 20230 0 Normal Closed add task timestamps to "latest warning/error task" dashboard widget 2020-01-21 03:00:00 UTC
Red Hat Knowledge Base (Solution) 3059571 0 None None None 2017-09-11 09:13:38 UTC
Red Hat Product Errata RHSA-2018:0336 0 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC

Description Chris Duryee 2017-07-06 12:59:53 UTC
Description of problem:

The "latest warning/error tasks" widget does not show the timestamps of when the warning/error task occurred. This makes the widget's info less useful since you don't know if it's showing an issue you need to address or just old info.


Version-Release number of selected component (if applicable): 6.2.10

Comment 2 Tomer Brisker 2017-07-06 13:22:49 UTC
Created redmine issue http://projects.theforeman.org/issues/20230 from this bug

Comment 3 pm-sat@redhat.com 2017-07-06 20:00:29 UTC
Upstream bug assigned to tbrisker@redhat.com

Comment 4 pm-sat@redhat.com 2017-07-06 20:00:32 UTC
Upstream bug assigned to tbrisker@redhat.com

Comment 5 pm-sat@redhat.com 2017-07-11 12:00:26 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20230 has been resolved.

Comment 6 Nagoor Shaik 2017-09-11 09:13:38 UTC
*** Bug 1455021 has been marked as a duplicate of this bug. ***

Comment 7 pm-sat@redhat.com 2017-10-09 08:00:38 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 8 pm-sat@redhat.com 2017-10-09 08:00:44 UTC
Upstream bug assigned to mhulan@redhat.com

Comment 11 Evgeni Golov 2017-11-22 11:29:43 UTC
Droping Feature #20917, as it's a cosmetic change which is not compatible with Foreman 1.15

Comment 12 Peter Ondrejka 2017-11-27 14:19:12 UTC
Created attachment 1359489 [details]
task widget screenshot

Verified in Sat 6.3 snap 26

Comment 15 errata-xmlrpc 2018-02-21 12:39:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.